DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ExtendRegion

Image manipulation functions

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_ExtendRegion ( image, origin, regDims, bc, ordering, imValues )

## FUNCTION

This functions extends a region in an image, defined by `origin` and `regDims`, with a specified boundary condition `bc`. The pixels outside the region are modified according to `bc`. `ordering` changes the order in which the dimensions are processed, set to 0 to use default process order.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Image, will be modified
`dip_IntegerArray` | `origin` | Origin of region
`dip_IntegerArray` | `regDims` | Size of region
`dip_BoundaryArray` | `bc` | Boundary conditions
`dip_IntegerArray` | `ordering` | Ordering of dimensions
`dip_Image *` | `imValues` | Unused, set to 0.

## NOTE

Boundary conditions `DIP_BC_ZERO_ORDER_EXTRAPOLATE`, `DIP_BC_FIRST_ORDER_EXTRAPOLATE` and `DIP_BC_SECOND_ORDER_EXTRAPOLATE` are not supported.